package cn.com.qmth.examcloud.exchange.outer.api.provider;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.core.basic.api.StudentCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.InsertOrUpdateStudentReq;
import cn.com.qmth.examcloud.exchange.outer.api.StudentOuterService;
import cn.com.qmth.examcloud.exchange.outer.api.request.SaveStudentReq;
import cn.com.qmth.examcloud.exchange.outer.api.response.SaveStudentResp;
import io.swagger.annotations.ApiOperation;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年6月29日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class StudentOuterServiceProvider extends ControllerSupport implements StudentOuterService {

	private static final long serialVersionUID = -8252740695302763716L;

	@Autowired
	StudentCloudService studentCloudService;

	@ApiOperation(value = "保存学生信息")
	@PostMapping("saveStudent")
	@Override
	public SaveStudentResp saveStudent(@RequestBody SaveStudentReq req) {

		InsertOrUpdateStudentReq request = new InsertOrUpdateStudentReq();
		request.setIdentityNumber(req.getIdentityNumber());
		request.setName(req.getName());
		request.setOrgCode(req.getOrgCode());
		request.setOrgId(req.getOrgId());
		request.setOrgName(req.getOrgName());
		request.setPhoneNumber(req.getPhoneNumber());
		request.setRemark(req.getRemark());
		request.setRootOrgId(req.getRootOrgId());
		request.setStudentCode(req.getStudentCode());

		request.setPhotoPath("");

		studentCloudService.insertOrUpdateStudent(request);
		return null;
	}

}
